import Foundation

struct SiteSettingsModel : Codable {
    
	let api_status : Int?
	let config : SettingsConfig?

	enum CodingKeys: String, CodingKey {

		case api_status = "api_status"
		case config = "config"
	}

	init(from decoder: Decoder) throws {
		let values = try decoder.container(keyedBy: CodingKeys.self)
		api_status = try values.decodeIfPresent(Int.self, forKey: .api_status)
		config = try values.decodeIfPresent(SettingsConfig.self, forKey: .config)
	}

}
